Subject: Re: bug#39824: 26.2; timers sometimes stop working when coming back from sleep

From: Eli Zaretskii <[email-masked]>
Date: Sun, 01 Mar 2020 21:31:25 +0200

> Date: Fri, 28 Feb 2020 15:52:51 +0000 (GMT)
> From: ndame <[email-masked]>
> 
> I use Emacs 26.2 on Windows and usually I send my computer to sleep,
> instead of switching it off. That means the same Emacs instance runs
> for weeks or even months unless Emacs crashes for some reason.
> 
> I use several timers for housekeeping tasks and they usually work, but
> from time to time one of them fails to start after coming back from
> sleep.
> 
> When I do an M-x list-timers the affected timer is still there, but
> its value in the Next column is negative. The value keeps decreasing
> like for other timers, but since the value is negative it gets farther
> and farther from zero, so it never fires after that.

Do I understand correctly that the timers you are talking about are
those you yourself coded?  If so, can you show the code which starts
one of those timers which you sometimes find with negative Next time?

Thanks.